Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Preference_Interpreter::Preference_Info Struct Reference

`#include <Constraint_Interpreter.h>`

Collaboration diagram for TAO_Preference_Interpreter::Preference_Info:

[legend]
List of all members.

## Public Attributes
CORBA::Boolean | evaluated_
| True if the preference evaluation didn't return an error for this offer.
TAO_Literal_Constraint | value_
| The value of the preference evaluation.
CosTrading::OfferId | offer_id_
| The offer id of this offer.
CosTrading::Offer * | offer_
| A pointer to the offer.

## Member Data Documentation

CORBA::Boolean TAO_Preference_Interpreter::Preference_Info::evaluated_

| True if the preference evaluation didn't return an error for this offer.

CosTrading::Offer* TAO_Preference_Interpreter::Preference_Info::offer_

| A pointer to the offer.

CosTrading::OfferId TAO_Preference_Interpreter::Preference_Info::offer_id_

| The offer id of this offer.

TAO_Literal_Constraint TAO_Preference_Interpreter::Preference_Info::value_

| The value of the preference evaluation.

The documentation for this struct was generated from the following file:

- Constraint_Interpreter.h